All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
SIM: System Integration Module Driver

## Overview

The KSDK provides a peripheral driver for the System Integration Module (SIM) of Kinetis devices.

## Data Structures

struct | sim_uid_t
| Unique ID. More...

## Enumerations

enum | _sim_flash_mode { kSIM_FlashDisableInWait = SIM_FCFG1_FLASHDOZE_MASK, kSIM_FlashDisable = SIM_FCFG1_FLASHDIS_MASK }
| Flash enable mode. More...

## Functions

void | SIM_GetUniqueId (sim_uid_t *uid)
| Get the unique identification register value. More...
static void | SIM_SetFlashMode (uint8_t mode)
| Set the flash enable mode. More...

## Driver version

#define | FSL_SIM_DRIVER_VERSION (MAKE_VERSION(2, 0, 0))
| Driver version 2.0.0.

## Data Structure Documentation

struct sim_uid_t

### Data Fields

uint32_t | MH
| UIDMH. More...
uint32_t | ML
| UIDML. More...
uint32_t | L
| UIDL. More...

#### Field Documentation

uint32_t sim_uid_t::MH

uint32_t sim_uid_t::ML

uint32_t sim_uid_t::L

## Enumeration Type Documentation

enum _sim_flash_mode

Enumerator
kSIM_FlashDisableInWait | Disable flash in wait mode.
kSIM_FlashDisable | Disable flash in normal mode.

## Function Documentation

void SIM_GetUniqueId | ( | sim_uid_t * | uid | ) |

Parameters

  uid | Pointer to the structure to save the UID value.

static void SIM_SetFlashMode | ( | uint8_t | mode | ) |

inlinestatic

Parameters

  mode | The mode to set, see _sim_flash_mode for mode details.